//
// foundation/helpers/margin-padding
//

@each $breakpoint in map-keys($breakpoints) {
  @if (map-get($breakpoints, $breakpoint) == 0) {
    @each $prop, $abbrev in (margin: m, padding: p) {
      @each $size, $length in $base-spacing {
        .#{$abbrev}-#{$size} {
          #{$prop}: $length !important;
        }

        .#{$abbrev}t-#{$size},
        .#{$abbrev}y-#{$size} {
          #{$prop}-top: $length !important;
        }

        .#{$abbrev}r-#{$size},
        .#{$abbrev}x-#{$size} {
          #{$prop}-right: $length !important;
        }

        .#{$abbrev}b-#{$size},
        .#{$abbrev}y-#{$size} {
          #{$prop}-bottom: $length !important;
        }

        .#{$abbrev}l-#{$size},
        .#{$abbrev}x-#{$size} {
          #{$prop}-left: $length !important;
        }
      }
    }
  } @else {
    @include mq($breakpoint) {
      @each $prop, $abbrev in (margin: m, padding: p) {
        @each $size, $length in $base-spacing {
          .#{$abbrev}-#{$size}-#{$breakpoint} {
            #{$prop}: $length !important;
          }

          .#{$abbrev}t-#{$size}-#{$breakpoint},
          .#{$abbrev}y-#{$size}-#{$breakpoint} {
            #{$prop}-top: $length !important;
          }

          .#{$abbrev}r-#{$size}-#{$breakpoint},
          .#{$abbrev}x-#{$size}-#{$breakpoint} {
            #{$prop}-right: $length !important;
          }

          .#{$abbrev}b-#{$size}-#{$breakpoint},
          .#{$abbrev}y-#{$size}-#{$breakpoint} {
            #{$prop}-bottom: $length !important;
          }

          .#{$abbrev}l-#{$size}-#{$breakpoint},
          .#{$abbrev}x-#{$size}-#{$breakpoint} {
            #{$prop}-left: $length !important;
          }
        }
      }
    }
  }
}
